Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160028 - Kernel BUG at pageattr:107
Summary: Kernel BUG at pageattr:107
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-10 05:52 UTC by Wendy Cheng
Modified: 2013-03-06 05:58 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:27:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Wendy Cheng 2005-06-10 05:52:54 UTC
Description of problem:

Kernel BUG at pageattr:107
invalid operand: 0000 [1] SMP 
CPU 7 
Modules linked in: md5 ipv6 parport_pc lp parport autofs4 i2c_dev i2c_core
sunrpc ds yenta_socket pcmcia_core dm_mod joydev button battery ac uhci_hcd
ehci_hcd tg3 floppy sg ext3 jbd ata_piix libata mptscsih mptbase sd_mod scsi_mod
Pid: 4514, comm: rmmod Not tainted 2.6.9-5.ELsmp
RIP: 0010:[<ffffffff80122e39>] <ffffffff80122e39>{__change_page_attr+1039}
RSP: 0018:000001022936dd98  EFLAGS: 00010282
RAX: 0000000000000908 RBX: 00000100010002a0 RCX: 000000000000c908
RDX: 000001000000c908 RSI: 0000010000000000 RDI: ffffffff80312975
RBP: 00000100e4300000 R08: 000ffffffffff000 R09: 0000000000000246
R10: 0000000000000000 R11: 0000000000000000 R12: 000001000000c908
R13: 8000000000000163 R14: 8000000000000163 R15: 0000000000503010
FS:  0000002a95582b00(0000) GS:ffffffff804bf680(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000003703129000 CR3: 00000000bfba0000 CR4: 00000000000006e0
Process rmmod (pid: 4514, threadinfo 000001022936c000, task 000001022fabe030)
Stack: 00000100041ea800 0000000000000000 0000000000000000 0000000000000011 
       8000000000000163 ffffffff80122f13 ffffff0000020000 000001023ff37ac0 
       000001023fda4b40 000001023fda4bb0 
Call Trace:<ffffffff80122f13>{change_page_attr+144} <ffffffff8012280a>{iounmap+309} 
       <ffffffffa00b2aa6>{:tg3:tg3_remove_one+51}
<ffffffff801e53d9>{pci_device_remove+34} 
       <ffffffff802383d3>{device_release_driver+83}
<ffffffff80238781>{bus_remove_driver+153} 
       <ffffffff80238aa4>{driver_unregister+17}
<ffffffff801e5207>{pci_unregister_driver+15} 
       <ffffffff8014ac11>{sys_delete_module+479} <ffffffff801dccf8>{__up_write+19} 
       <ffffffff80165e1b>{sys_munmap+94} <ffffffff8010ffd2>{system_call+126} 
       

Code: 0f 0b 31 00 31 80 ff ff ff ff 6b 00 4c 89 f1 48 b8 ff ff ff 
RIP <ffffffff80122e39>{__change_page_attr+1039} RSP <000001022936dd98>

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:



Additional info:

Comment 5 Jason Baron 2005-06-17 17:11:23 UTC
pointer to the -11.14.EL test kernel: http://people.redhat.com/~jbaron/rhel4/

Comment 12 Red Hat Bugzilla 2005-10-05 13:27:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.